# Uses of Class
org.apache.sysds.runtime.compress.workload.WTreeRoot

Packages that use WTreeRoot
Package
Description
org.apache.sysds.runtime.compress
org.apache.sysds.runtime.compress.cost
org.apache.sysds.runtime.compress.workload
org.apache.sysds.runtime.frame.data.compress
org.apache.sysds.runtime.frame.data.lib

## Uses of WTreeRoot in org.apache.sysds.runtime.compress

Methods in org.apache.sysds.runtime.compress with parameters of type WTreeRoot
Modifier and Type
Method
Description
`static org.apache.commons.lang3.tuple.Pair<MatrixBlock,CompressionStatistics>`
CompressedMatrixBlockFactory.`compress(MatrixBlock mb, int k, CompressionSettingsBuilder compSettings, WTreeRoot root)`
The main method for compressing the input matrix.
`static org.apache.commons.lang3.tuple.Pair<MatrixBlock,CompressionStatistics>`
CompressedMatrixBlockFactory.`compress(MatrixBlock mb, int k, WTreeRoot root)`
`static org.apache.commons.lang3.tuple.Pair<MatrixBlock,CompressionStatistics>`
CompressedMatrixBlockFactory.`compress(MatrixBlock mb, WTreeRoot root)`
`static org.apache.commons.lang3.tuple.Pair<MatrixBlock,CompressionStatistics>`
CompressedMatrixBlockFactory.`compress(MatrixBlock mb, ScalarObject sf, int k, WTreeRoot root)`
`static org.apache.commons.lang3.tuple.Pair<MatrixBlock,CompressionStatistics>`
CompressedMatrixBlockFactory.`compress(MatrixBlock mb, MatrixBlock sf, int k, WTreeRoot root)`

## Uses of WTreeRoot in org.apache.sysds.runtime.compress.cost

Constructors in org.apache.sysds.runtime.compress.cost with parameters of type WTreeRoot
Modifier
Constructor
Description
``
`CostEstimatorBuilder(WTreeRoot root)`

## Uses of WTreeRoot in org.apache.sysds.runtime.compress.workload

Methods in org.apache.sysds.runtime.compress.workload that return types with arguments of type WTreeRoot
Modifier and Type
Method
Description
`static Map<Long,WTreeRoot>`
WorkloadAnalyzer.`getAllCandidateWorkloads(DMLProgram prog)`

## Uses of WTreeRoot in org.apache.sysds.runtime.frame.data.compress

Fields in org.apache.sysds.runtime.frame.data.compress declared as WTreeRoot
Modifier and Type
Field
Description
`final WTreeRoot`
FrameCompressionSettings.`wt`
Methods in org.apache.sysds.runtime.frame.data.compress with parameters of type WTreeRoot
Modifier and Type
Method
Description
`static FrameBlock`
CompressedFrameBlockFactory.`compress(FrameBlock fb, int k, WTreeRoot root)`
`FrameCompressionSettingsBuilder`
FrameCompressionSettingsBuilder.`wTreeRoot(WTreeRoot wt)`

## Uses of WTreeRoot in org.apache.sysds.runtime.frame.data.lib

Methods in org.apache.sysds.runtime.frame.data.lib with parameters of type WTreeRoot
Modifier and Type
Method
Description
`static FrameBlock`
FrameLibCompress.`compress(FrameBlock in, int k, WTreeRoot root)`